from setuptools import setup, find_packages

setup(
    name="proxytg",
    version="0.1.1",
    author="Anton Miklis",
    author_email="antonmiklis@icloud.com",
    description="Package implements TelegramAccount class, which keeps your telegram session persistent with proxy",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/miklisanton/proxytg",
    packages=find_packages(),
    install_requires=[
        "attrs==24.2.0",
        "blinker==1.7.0",
        "Brotli==1.1.0",
        "certifi==2024.7.4",
        "cffi==1.17.0",
        "charset-normalizer==3.3.2",
        "cryptography==43.0.0",
        "docutils==0.21.2",
        "h11==0.14.0",
        "h2==4.1.0",
        "hpack==4.0.0",
        "hyperframe==6.0.1",
        "idna==3.7",
        "importlib_metadata==8.2.0",
        "jaraco.classes==3.4.0",
        "jaraco.context==5.3.0",
        "jaraco.functools==4.0.2",
        "kaitaistruct==0.10",
        "keyring==25.3.0",
        "markdown-it-py==3.0.0",
        "mdurl==0.1.2",
        "more-itertools==10.4.0",
        "nh3==0.2.18",
        "outcome==1.3.0.post0",
        "pkginfo==1.10.0",
        "pyasn1==0.6.0",
        "pycparser==2.22",
        "Pygments==2.18.0",
        "pyOpenSSL==24.2.1",
        "pyparsing==3.1.2",
        "PySocks==1.7.1",
        "PyYAML==6.0.2",
        "readme_renderer==44.0",
        "requests==2.32.3",
        "requests-toolbelt==1.0.0",
        "rfc3986==2.0.0",
        "rich==13.7.1",
        "selenium==4.23.1",
        "selenium-wire==5.1.0",
        "setuptools==68.2.2",
        "sniffio==1.3.1",
        "sortedcontainers==2.4.0",
        "trio==0.26.2",
        "trio-websocket==0.11.1",
        "twine==5.1.1",
        "typing_extensions==4.12.2",
        "urllib3==2.2.2",
        "websocket-client==1.8.0",
        "wsproto==1.2.0",
        "zipp==3.20.0",
        "zstandard==0.23.0"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
